<div class="modal-header">
  <h4 class="modal-title">Register New User</h4>
  <button type="button" class="close" aria-label="Close" (click)="close()">
    <span aria-hidden="true">&times;</span>
  </button>
</div>
<form [formGroup]="registrationForm" (ngSubmit)="submitForm()">
  <div class="modal-body">

    <div class="form-group">
      <label>User Name</label>
      <input formControlName="username" placeholder="User name" type="text" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.username.errors || error }">
      <div *ngIf="submitted && f.username.errors" class="invalid-feedback">
        <div *ngIf="f.username.errors.required">Username is required</div>
      </div>
      <div *ngIf="error" class="invalid-feedback">
        <div>{{error}}</div>
      </div>
    </div>
    <div class="form-group">
      <label>User Email</label>
      <input formControlName="email" placeholder="User email" type="email" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.email.errors }">
      <div *ngIf="submitted && f.email.errors" class="invalid-feedback">
        <div *ngIf="f.email.errors.required">Email is required</div>
        <div *ngIf="f.email.errors.email">Email must be a valid email address</div>
      </div>
    </div>
    <div class="form-group">
      <label>User Password</label>
      <input formControlName="password" placeholder="Password" type="password" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.password.errors }">
      <div *ngIf="submitted && f.password.errors" class="invalid-feedback">
        <div *ngIf="f.password.errors.required">Password is required</div>
        <div *ngIf="f.password.errors.minlength">Password must be at least 6 characters</div>
      </div>
    </div>
    <div class="form-group">
      <label>Confirm Password</label>
      <input formControlName="confirmPassword" placeholder="Confirm Password" type="password" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.confirmPassword.errors }">
      <div *ngIf="submitted && f.password.errors" class="invalid-feedback">
        <div *ngIf="f.password.errors.required">Password is required</div>
      </div>
    </div>

  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-outline-dark" (click)="reset()">Cancel</button>
    <button type="submit" class="btn btn-success">Submit</button>
  </div>
</form>
